<?php
/*********************************************************************************
 *       Filename: index_ad_details.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// index_ad_details CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// index_ad_details CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "index_ad_details.php";
$template_filename = "index_ad_details.html";
//===============================



//===============================
// index_ad_details PageSecurity begin
// index_ad_details PageSecurity end
//===============================

//===============================
// index_ad_details Open Event begin
// index_ad_details Open Event end
//===============================

//===============================
// index_ad_details OpenAnyPage Event start
// index_ad_details OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// index_ad_details Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sForm1Err = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form1":
    Form1_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form1_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// index_ad_details Show end

//===============================
// index_ad_details Close Event begin
// index_ad_details Close Event end
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form1_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  global $tpl;
  global $sForm;
  global $sForm1Err;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
  $pPKad_id = "";
//-------------------------------

//-------------------------------
// Form1 Action begin
//-------------------------------
  $sActionFileName = "index_searchresults.php";

//-------------------------------
// Load all form fields into variables
//-------------------------------
//-------------------------------
// Form1 BeforeExecute Event begin
// Form1 BeforeExecute Event end
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if(strlen($sForm1Err)) return;
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);
  exit;
//-------------------------------
// Form1 Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form1_show()
{
  global $db;
  global $tpl;
  global $sAction;
  global $sForm;
  global $sForm1Err;
  
  $fldad_id = "";
  $fldtitle = "";
  $fldtitle2 = "";
  $fldcategory = "";
  $fldstart_or_est = "";
  $fldcountry = "";
  $fldvisitors = "";
  $fldurl = "";
  $fldsummary = "";
  $fldprice = "";
  $fldrevenue = "";
  $fldincome = "";
  $fldfinancing = "";
  $fldyear_established = "";
  $fldlocation = "";
  $fldpeople_needed = "";
  $fldrun_from_home = "";
  $fldreason_to_sell = "";
  $flduser_id2 = "";
  $flduser_id3 = "";
  $flduser_id4 = "";
  $fldviews = "";
//-------------------------------
// Form1 Show begin
//-------------------------------
  $sFormTitle = "WEB SITE FOR SALE";
  $sWhere = "";
  $bPK = true;
//-------------------------------
// Load primary key and form parameters
//-------------------------------
  if($sForm1Err == "")
  {
    $pad_id = get_param("ad_id");
    $tpl->set_var("Form1Error", "");
  }
  else
  {
    $fldad_id = strip(get_param("ad_id"));
    $pad_id = get_param("PK_ad_id");
    $tpl->set_var("sForm1Err", $sForm1Err);
    $tpl->set_var("FormTitle", $sFormTitle);
    $tpl->parse("Form1Error", false);
  }
//-------------------------------

//-------------------------------
// Load all form fields

  $fldField2 = get_param("Field2");
  $fldField3 = get_param("Field3");
  $flduser_id1 = get_param("user_id1");
//-------------------------------

//-------------------------------
// Build WHERE statement
//-------------------------------
  
  if( !strlen($pad_id)) $bPK = false;
  
  $sWhere .= "ad_id=" . tosql($pad_id, "Number");
  $tpl->set_var("PK_ad_id", $pad_id);
//-------------------------------
//-------------------------------
// Form1 Open Event begin
$ad = get_param("ad_id");

$db->query("select views_per_click from settings where settings_id=1");
if ($db->next_record()) { 

$add = $db->f(0);

}

$db->query("update ads set views= views + ".$add." where ad_id=".$ad);
// Form1 Open Event end
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Build SQL statement and execute query
//-------------------------------
  $sSQL = "select * from ads where " . $sWhere;
  // Execute SQL statement
  $db->query($sSQL);
  $bIsUpdateMode = ($bPK && !($sAction == "insert" && $sForm == "Form1") && $db->next_record());
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
  if($bIsUpdateMode)
  {
    $fldad_id = $db->f("ad_id");
    $fldcategory = $db->f("category");
    $fldcountry = $db->f("country");
    $fldfinancing = $db->f("financing");
    $fldincome = $db->f("income");
    $fldlocation = $db->f("location");
    $fldpeople_needed = $db->f("people_needed");
    $fldprice = $db->f("price");
    $fldreason_to_sell = $db->f("reason_to_sell");
    $fldrevenue = $db->f("revenue");
    $fldrun_from_home = $db->f("run_from_home");
    $fldstart_or_est = $db->f("start_or_est");
    $fldsummary = $db->f("summary");
    $fldtitle = $db->f("title");
    $fldtitle2 = $db->f("title2");
    $fldurl = $db->f("url");
    $flduser_id2 = $db->f("user_id");
    $flduser_id3 = $db->f("user_id");
    $flduser_id4 = $db->f("user_id");
    $fldviews = $db->f("views");
    $fldvisitors = $db->f("visitors");
    $fldyear_established = $db->f("year_established");
    $tpl->set_var("Form1Delete", "");
    $tpl->set_var("Form1Update", "");
    $tpl->set_var("Form1Insert", "");
//-------------------------------
// Form1 ShowEdit Event begin
// Form1 ShowEdit Event end
//-------------------------------
  }
  else
  {
    $tpl->set_var("Form1Edit", "");
    $tpl->set_var("Form1Insert", "");
//-------------------------------
// Form1 ShowInsert Event begin
// Form1 ShowInsert Event end
//-------------------------------
  }
  $tpl->set_var("Form1Cancel", "");
//-------------------------------
// Set lookup fields
//-------------------------------
  $fldcategory = get_db_value("SELECT category FROM lookup_site_category WHERE cat_id=" . tosql($fldcategory, "Number"));
  $fldstart_or_est = get_db_value("SELECT category2 FROM lookup_start_or_est WHERE cat2_id=" . tosql($fldstart_or_est, "Number"));
  $fldcountry = get_db_value("SELECT country_desc FROM lookup_countries WHERE country_id=" . tosql($fldcountry, "Number"));
  $flduser_id2 = get_db_value("SELECT company FROM users WHERE user_id=" . tosql($flduser_id2, "Number"));
  $flduser_id3 = get_db_value("SELECT email FROM users WHERE user_id=" . tosql($flduser_id3, "Number"));
  $flduser_id4 = get_db_value("SELECT email FROM users WHERE user_id=" . tosql($flduser_id4, "Number"));
  if($sForm1Err == "")
  {
//-------------------------------
// Form1 Show Event begin
$fldsummary=str_replace(chr(13),"<br>",$fldsummary);
$fldurl= "<a href=\" ".$fldurl." \"> ".$fldurl." </a>";
$flduser_id3= "<a href=\"mailto: ".$flduser_id3." \"> ".$flduser_id3." </a>";
// Form1 Show Event end
//-------------------------------
  }

//-------------------------------
// Show form field
//-------------------------------
    $tpl->set_var("ad_id", tohtml($fldad_id));
      $tpl->set_var("title", tohtml($fldtitle));
      $tpl->set_var("title2", tohtml($fldtitle2));
      $tpl->set_var("category", tohtml($fldcategory));
      $tpl->set_var("start_or_est", tohtml($fldstart_or_est));
      $tpl->set_var("country", tohtml($fldcountry));
      $tpl->set_var("visitors", tohtml($fldvisitors));
      $tpl->set_var("url", $fldurl);
      $tpl->set_var("summary", $fldsummary);
      $tpl->set_var("Field2", tohtml($fldField2));
      $tpl->set_var("price", tohtml($fldprice));
      $tpl->set_var("revenue", tohtml($fldrevenue));
      $tpl->set_var("income", tohtml($fldincome));
      $tpl->set_var("financing", tohtml($fldfinancing));
      $tpl->set_var("Field3", tohtml($fldField3));
      $tpl->set_var("year_established", tohtml($fldyear_established));
      $tpl->set_var("location", tohtml($fldlocation));
      $tpl->set_var("people_needed", tohtml($fldpeople_needed));
      $tpl->set_var("run_from_home", tohtml($fldrun_from_home));
      $tpl->set_var("reason_to_sell", tohtml($fldreason_to_sell));
      $tpl->set_var("user_id1", tohtml($flduser_id1));
      $tpl->set_var("user_id2", tohtml($flduser_id2));
      $tpl->set_var("user_id3", $flduser_id3);
      $tpl->set_var("user_id4", tohtml($flduser_id4));
      $tpl->set_var("views", tohtml($fldviews));
  $tpl->parse("FormForm1", false);

//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------

//-------------------------------
// Form1 Show end
//-------------------------------
}
//===============================
?>