<?php
/*********************************************************************************
 *       Filename: index_adv_search.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// index_adv_search CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// index_adv_search CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "index_adv_search.php";
$template_filename = "index_adv_search.html";
//===============================



//===============================
// index_adv_search PageSecurity begin
// index_adv_search PageSecurity end
//===============================

//===============================
// index_adv_search Open Event begin
// index_adv_search Open Event end
//===============================

//===============================
// index_adv_search OpenAnyPage Event start
// index_adv_search OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// index_adv_search Show begin

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();search_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// index_adv_search Show end

//===============================
// index_adv_search Close Event begin
// index_adv_search Close Event end
//===============================
//********************************************************************************


//===============================
// Display Search Form
//-------------------------------
function search_show()
{
  global $db;
  global $tpl;
  global $sForm;
  $sFormTitle = "Search /  Refine";
  $sActionFileName = "index_searchresults.php";
  $scategoryDisplayValue = "All";
  $sstart_or_estDisplayValue = "All";
  $scountryDisplayValue = "All";

//-------------------------------
// search Open Event begin
// search Open Event end
//-------------------------------
  $tpl->set_var("FormTitle", $sFormTitle);
  $tpl->set_var("ActionPage", $sActionFileName);
//-------------------------------
// Set variables with search parameters
//-------------------------------
  $fldsummary = strip(get_param("summary"));
  $fldprice = strip(get_param("price"));
  $fldprice2 = strip(get_param("price2"));
  $fldcategory = strip(get_param("category"));
  $fldstart_or_est = strip(get_param("start_or_est"));
  $fldcountry = strip(get_param("country"));

//-------------------------------
// search Show begin
//-------------------------------


//-------------------------------
// search Show Event begin
// search Show Event end
//-------------------------------
    $tpl->set_var("summary", tohtml($fldsummary));
    $tpl->set_var("price", tohtml($fldprice));
    $tpl->set_var("price2", tohtml($fldprice2));
    $tpl->set_var("searchLBcategory", "");
    $tpl->set_var("ID", "");
    $tpl->set_var("Value", $scategoryDisplayValue);
    $tpl->set_var("Selected", "");
    $tpl->parse("searchLBcategory", true);
    $lookup_category = db_fill_array("select cat_id, category from lookup_site_category order by 2");

    if(is_array($lookup_category))
    {
      reset($lookup_category);
      while(list($key, $value) = each($lookup_category))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $fldcategory)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("searchLBcategory", true);
      }
    }
    
    $tpl->set_var("searchLBstart_or_est", "");
    $tpl->set_var("ID", "");
    $tpl->set_var("Value", $sstart_or_estDisplayValue);
    $tpl->set_var("Selected", "");
    $tpl->parse("searchLBstart_or_est", true);
    $lookup_start_or_est = db_fill_array("select cat2_id, category2 from lookup_start_or_est order by 2");

    if(is_array($lookup_start_or_est))
    {
      reset($lookup_start_or_est);
      while(list($key, $value) = each($lookup_start_or_est))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $fldstart_or_est)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("searchLBstart_or_est", true);
      }
    }
    
    $tpl->set_var("searchLBcountry", "");
    $tpl->set_var("ID", "");
    $tpl->set_var("Value", $scountryDisplayValue);
    $tpl->set_var("Selected", "");
    $tpl->parse("searchLBcountry", true);
    $lookup_country = db_fill_array("select country_id, country_desc from lookup_countries order by 2");

    if(is_array($lookup_country))
    {
      reset($lookup_country);
      while(list($key, $value) = each($lookup_country))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $fldcountry)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("searchLBcountry", true);
      }
    }
    

//-------------------------------
// search Show end
//-------------------------------

//-------------------------------
// search Close Event begin
// search Close Event end
//-------------------------------
  $tpl->parse("Formsearch", false);
//===============================
}

?>