<?php
/*********************************************************************************
 *       Filename: login_redirect.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// login_redirect CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// login_redirect CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "login_redirect.php";
$template_filename = "login_redirect.html";
//===============================



//===============================
// login_redirect PageSecurity begin
// login_redirect PageSecurity end
//===============================

//===============================
// login_redirect Open Event begin
// login_redirect Open Event end
//===============================

//===============================
// login_redirect OpenAnyPage Event start
// login_redirect OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// login_redirect Show begin

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();redirect_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// login_redirect Show end

//===============================
// login_redirect Close Event begin
// login_redirect Close Event end
//===============================
//********************************************************************************


//===============================
// Display Menu Form
//-------------------------------
function redirect_show()
{
  global $tpl;
  global $db;
  $sFormTitle = "";

//-------------------------------
// redirect Open Event begin
global $REMOTE_ADDR;
$db->query("update users set last_login=".tosql(date("Y-m-d h:i:s"),"Date")." where user_id=".get_session("UserID"));

if (get_session("UserRights") == 1)
header("Location: user_home.php");
//else if (get_session("UserRights") == 2)
//header("Location: admin_main.php");
else if (get_session("UserRights") == 3)
header("Location: admin_main.php");
else
header("Location: login.php");
// redirect Open Event end
//-------------------------------

//-------------------------------
// Set URLs
//-------------------------------
//-------------------------------
// redirect Show begin
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// redirect BeforeShow Event begin
// redirect BeforeShow Event end
//-------------------------------

//-------------------------------
// Show fields
//-------------------------------
  $tpl->parse("Formredirect", false);

//-------------------------------
// redirect Show end
//-------------------------------
}
//===============================

?>