<?php
/*********************************************************************************
 *       Filename: user_edit_ad.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// user_edit_ad CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// user_edit_ad CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "user_edit_ad.php";
$template_filename = "user_edit_ad.html";
//===============================



//===============================
// user_edit_ad PageSecurity begin
// user_edit_ad PageSecurity end
//===============================

//===============================
// user_edit_ad Open Event begin
// user_edit_ad Open Event end
//===============================

//===============================
// user_edit_ad OpenAnyPage Event start
// user_edit_ad OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// user_edit_ad Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sForm1Err = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form1":
    Form1_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();Form1_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// user_edit_ad Show end

//===============================
// user_edit_ad Close Event begin
// user_edit_ad Close Event end
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form1_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  global $tpl;
  global $sForm;
  global $sForm1Err;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
  $pPKad_id = "";
  $fldtitle = "";
  $fldtitle2 = "";
  $fldcategory = "";
  $fldstart_or_est = "";
  $fldcountry = "";
  $fldvisitors = "";
  $fldurl = "";
  $fldsummary = "";
  $fldprice = "";
  $fldrevenue = "";
  $fldincome = "";
  $fldfinancing = "";
  $fldyear_established = "";
  $fldlocation = "";
  $fldpeople_needed = "";
  $fldrun_from_home = "";
  $fldreason_to_sell = "";
  $flduser_id = "";
  $flddate_added = "";
//-------------------------------

//-------------------------------
// Form1 Action begin
//-------------------------------
  $sActionFileName = "user_home.php";

//-------------------------------
// CANCEL action
//-------------------------------
  if($sAction == "cancel")
  {

//-------------------------------
// Form1 BeforeCancel Event begin
// Form1 BeforeCancel Event end
//-------------------------------
    header("Location: " . $sActionFileName);
    exit;
  }
//-------------------------------


//-------------------------------
// Build WHERE statement
//-------------------------------
  if($sAction == "update" || $sAction == "delete") 
  {
    $pPKad_id = get_param("PK_ad_id");
    if( !strlen($pPKad_id)) return;
    $sWhere = "ad_id=" . tosql($pPKad_id, "Number");
  }
//-------------------------------


//-------------------------------
// Load all form fields into variables
//-------------------------------
  $fldtitle = get_param("title");
  $fldtitle2 = get_param("title2");
  $fldcategory = get_param("category");
  $fldstart_or_est = get_param("start_or_est");
  $fldcountry = get_param("country");
  $fldvisitors = get_param("visitors");
  $fldurl = get_param("url");
  $fldsummary = get_param("summary");
  $fldprice = get_param("price");
  $fldrevenue = get_param("revenue");
  $fldincome = get_param("income");
  $fldfinancing = get_param("financing");
  $fldyear_established = get_param("year_established");
  $fldlocation = get_param("location");
  $fldpeople_needed = get_param("people_needed");
  $fldrun_from_home = get_checkbox_value(get_param("run_from_home"), "1", "0", "Number");
  $fldreason_to_sell = get_param("reason_to_sell");
  $flduser_id = get_param("user_id");
  $flddate_added = get_param("date_added");

//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":
//-------------------------------
// Form1 Insert Event begin
// Form1 Insert Event end
//-------------------------------
        $sSQL = "insert into ads (" . 
          "title," . 
          "title2," . 
          "category," . 
          "start_or_est," . 
          "country," . 
          "visitors," . 
          "url," . 
          "summary," . 
          "price," . 
          "revenue," . 
          "income," . 
          "financing," . 
          "year_established," . 
          "location," . 
          "people_needed," . 
          "run_from_home," . 
          "reason_to_sell," . 
          "user_id," . 
          "date_added)" . 
          " values (" . 
          tosql($fldtitle, "Text") . "," . 
          tosql($fldtitle2, "Text") . "," . 
          tosql($fldcategory, "Number") . "," . 
          tosql($fldstart_or_est, "Number") . "," . 
          tosql($fldcountry, "Number") . "," . 
          tosql($fldvisitors, "Number") . "," . 
          tosql($fldurl, "Text") . "," . 
          tosql($fldsummary, "Memo") . "," . 
          tosql($fldprice, "Number") . "," . 
          tosql($fldrevenue, "Number") . "," . 
          tosql($fldincome, "Number") . "," . 
          tosql($fldfinancing, "Number") . "," . 
          tosql($fldyear_established, "Text") . "," . 
          tosql($fldlocation, "Text") . "," . 
          tosql($fldpeople_needed, "Number") . "," . 
          $fldrun_from_home . "," . 
          tosql($fldreason_to_sell, "Text") . "," . 
          tosql($flduser_id, "Number") . "," . 
          tosql($flddate_added, "Date") . 
          ")";
    break;
    case "update":

//-------------------------------
// Form1 Update Event begin
// Form1 Update Event end
//-------------------------------
        $sSQL = "update ads set " .
          "title=" . tosql($fldtitle, "Text") .
          ",title2=" . tosql($fldtitle2, "Text") .
          ",category=" . tosql($fldcategory, "Number") .
          ",start_or_est=" . tosql($fldstart_or_est, "Number") .
          ",country=" . tosql($fldcountry, "Number") .
          ",visitors=" . tosql($fldvisitors, "Number") .
          ",url=" . tosql($fldurl, "Text") .
          ",summary=" . tosql($fldsummary, "Memo") .
          ",price=" . tosql($fldprice, "Number") .
          ",revenue=" . tosql($fldrevenue, "Number") .
          ",income=" . tosql($fldincome, "Number") .
          ",financing=" . tosql($fldfinancing, "Number") .
          ",year_established=" . tosql($fldyear_established, "Text") .
          ",location=" . tosql($fldlocation, "Text") .
          ",people_needed=" . tosql($fldpeople_needed, "Number") .
          ",run_from_home=" . $fldrun_from_home .
          ",reason_to_sell=" . tosql($fldreason_to_sell, "Text") .
          ",user_id=" . tosql($flduser_id, "Number") .
          ",date_added=" . tosql($flddate_added, "Date");
        $sSQL .= " where " . $sWhere;
    break;
    case "delete":
//-------------------------------
// Form1 Delete Event begin
// Form1 Delete Event end
//-------------------------------
        $sSQL = "delete from ads where " . $sWhere;
    break;
  }
//-------------------------------
//-------------------------------
// Form1 BeforeExecute Event begin
// Form1 BeforeExecute Event end
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if(strlen($sForm1Err)) return;
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);
  exit;
//-------------------------------
// Form1 Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form1_show()
{
  global $db;
  global $tpl;
  global $sAction;
  global $sForm;
  global $sForm1Err;
  
  $fldad_id = "";
  $fldtitle = "";
  $fldtitle2 = "";
  $fldcategory = "";
  $fldstart_or_est = "";
  $fldcountry = "";
  $fldvisitors = "";
  $fldurl = "";
  $fldsummary = "";
  $fldprice = "";
  $fldrevenue = "";
  $fldincome = "";
  $fldfinancing = "";
  $fldyear_established = "";
  $fldlocation = "";
  $fldpeople_needed = "";
  $fldrun_from_home = "";
  $fldreason_to_sell = "";
  $flduser_id = "";
  $flddate_added = "";
//-------------------------------
// Form1 Show begin
//-------------------------------
  $sFormTitle = "My area >> Ad details";
  $sWhere = "";
  $bPK = true;
//-------------------------------
// Load primary key and form parameters
//-------------------------------
  if($sForm1Err == "")
  {
    $pad_id = get_param("ad_id");
    $tpl->set_var("Form1Error", "");
  }
  else
  {
    $fldad_id = strip(get_param("ad_id"));
    $fldtitle = strip(get_param("title"));
    $fldtitle2 = strip(get_param("title2"));
    $fldcategory = strip(get_param("category"));
    $fldstart_or_est = strip(get_param("start_or_est"));
    $fldcountry = strip(get_param("country"));
    $fldvisitors = strip(get_param("visitors"));
    $fldurl = strip(get_param("url"));
    $fldsummary = strip(get_param("summary"));
    $fldprice = strip(get_param("price"));
    $fldrevenue = strip(get_param("revenue"));
    $fldincome = strip(get_param("income"));
    $fldfinancing = strip(get_param("financing"));
    $fldyear_established = strip(get_param("year_established"));
    $fldlocation = strip(get_param("location"));
    $fldpeople_needed = strip(get_param("people_needed"));
    $fldrun_from_home = get_checkbox_value(get_param("run_from_home"), "1", "0", "Number");
    $fldreason_to_sell = strip(get_param("reason_to_sell"));
    $flduser_id = strip(get_param("user_id"));
    $flddate_added = strip(get_param("date_added"));
    $pad_id = get_param("PK_ad_id");
    $tpl->set_var("sForm1Err", $sForm1Err);
    $tpl->set_var("FormTitle", $sFormTitle);
    $tpl->parse("Form1Error", false);
  }
//-------------------------------

//-------------------------------
// Load all form fields

  $fldField2 = get_param("Field2");
  $fldField3 = get_param("Field3");
//-------------------------------

//-------------------------------
// Build WHERE statement
//-------------------------------
  
  if( !strlen($pad_id)) $bPK = false;
  
  $sWhere .= "ad_id=" . tosql($pad_id, "Number");
  $tpl->set_var("PK_ad_id", $pad_id);
//-------------------------------
//-------------------------------
// Form1 Open Event begin
// Form1 Open Event end
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// Build SQL statement and execute query
//-------------------------------
  $sSQL = "select * from ads where " . $sWhere;
  // Execute SQL statement
  $db->query($sSQL);
  $bIsUpdateMode = ($bPK && !($sAction == "insert" && $sForm == "Form1") && $db->next_record());
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
  if($bIsUpdateMode)
  {
    $fldad_id = $db->f("ad_id");
    $flddate_added = $db->f("date_added");
    $flduser_id = $db->f("user_id");
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------
    if($sForm1Err == "") 
    {
      $fldtitle = $db->f("title");
      $fldtitle2 = $db->f("title2");
      $fldcategory = $db->f("category");
      $fldstart_or_est = $db->f("start_or_est");
      $fldcountry = $db->f("country");
      $fldvisitors = $db->f("visitors");
      $fldurl = $db->f("url");
      $fldsummary = $db->f("summary");
      $fldprice = $db->f("price");
      $fldrevenue = $db->f("revenue");
      $fldincome = $db->f("income");
      $fldfinancing = $db->f("financing");
      $fldyear_established = $db->f("year_established");
      $fldlocation = $db->f("location");
      $fldpeople_needed = $db->f("people_needed");
      $fldrun_from_home = $db->f("run_from_home");
      $fldreason_to_sell = $db->f("reason_to_sell");
    }
    $tpl->set_var("Form1Insert", "");
    $tpl->parse("Form1Edit", false);
//-------------------------------
// Form1 ShowEdit Event begin
// Form1 ShowEdit Event end
//-------------------------------
  }
  else
  {
    if($sForm1Err == "")
    {
      $flduser_id = tohtml(get_session("UserID"));
    }
    $tpl->set_var("Form1Edit", "");
    $tpl->parse("Form1Insert", false);
//-------------------------------
// Form1 ShowInsert Event begin
$flddate_added = date("Y-m-d G:i:s");
// Form1 ShowInsert Event end
//-------------------------------
  }
  $tpl->parse("Form1Cancel", false);
//-------------------------------
// Form1 Show Event begin
// Form1 Show Event end
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    $tpl->set_var("ad_id", tohtml($fldad_id));
    $tpl->set_var("title", tohtml($fldtitle));
    $tpl->set_var("title2", tohtml($fldtitle2));
    $tpl->set_var("Form1LBcategory", "");
    $lookup_category = db_fill_array("select cat_id, category from lookup_site_category order by 2");

    if(is_array($lookup_category))
    {
      reset($lookup_category);
      while(list($key, $value) = each($lookup_category))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $fldcategory)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("Form1LBcategory", true);
      }
    }
    
    $tpl->set_var("Form1LBstart_or_est", "");
    $lookup_start_or_est = db_fill_array("select cat2_id, category2 from lookup_start_or_est order by 2");

    if(is_array($lookup_start_or_est))
    {
      reset($lookup_start_or_est);
      while(list($key, $value) = each($lookup_start_or_est))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $fldstart_or_est)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("Form1LBstart_or_est", true);
      }
    }
    
    $tpl->set_var("Form1LBcountry", "");
    $lookup_country = db_fill_array("select country_id, country_desc from lookup_countries order by 2");

    if(is_array($lookup_country))
    {
      reset($lookup_country);
      while(list($key, $value) = each($lookup_country))
      {
        $tpl->set_var("ID", $key);
        $tpl->set_var("Value", $value);
        if($key == $fldcountry)
          $tpl->set_var("Selected", "SELECTED" );
        else 
          $tpl->set_var("Selected", "");
        $tpl->parse("Form1LBcountry", true);
      }
    }
    
    $tpl->set_var("visitors", tohtml($fldvisitors));
    $tpl->set_var("url", tohtml($fldurl));
    $tpl->set_var("summary", tohtml($fldsummary));
      $tpl->set_var("Field2", tohtml($fldField2));
    $tpl->set_var("price", tohtml($fldprice));
    $tpl->set_var("revenue", tohtml($fldrevenue));
    $tpl->set_var("income", tohtml($fldincome));
    $tpl->set_var("financing", tohtml($fldfinancing));
      $tpl->set_var("Field3", tohtml($fldField3));
    $tpl->set_var("year_established", tohtml($fldyear_established));
    $tpl->set_var("location", tohtml($fldlocation));
    $tpl->set_var("people_needed", tohtml($fldpeople_needed));
      if(strtolower($fldrun_from_home) == strtolower("1")) 
        $tpl->set_var("run_from_home_CHECKED", "CHECKED");
      else
        $tpl->set_var("run_from_home_CHECKED", "");

    $tpl->set_var("reason_to_sell", tohtml($fldreason_to_sell));
    $tpl->set_var("user_id", tohtml($flduser_id));
    $tpl->set_var("date_added", tohtml($flddate_added));
  $tpl->parse("FormForm1", false);

//-------------------------------
// Form1 Close Event begin
// Form1 Close Event end
//-------------------------------

//-------------------------------
// Form1 Show end
//-------------------------------
}
//===============================
?>